<!--
  ~ (c) Copyright 2024 Swiss Post Ltd.
  ~
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~    http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
  -->
<input #uploadDataset (change)="upload($event)" accept=".zip" onclick="this.value=null" style="display: none" type="file">
<div class="row mb-2">
  <div class="col-2">
    <button (click)="uploadDataset.click()" [disabled]="isUploadDisabled()" class="btn btn-block upload-button btn-secondary text-center dataset-type">
      <i aria-hidden="true" class="bi-upload"></i> Upload {{this.datasetType}} Dataset
    </button>
  </div>
  <div class="col-10 mt-2">
    <span *ngIf="isNotUploaded()">Not uploaded yet. Click to upload one</span>
    <span *ngIf="isUploading()">
                <div class="spinner-border spinner-border-sm text-primary" role="status">
                  <span class="visually-hidden">In progress...</span>
                </div>
                Uploading dataset...
            </span>
    <span *ngIf="errorOccurred()">
            <i aria-hidden="true" class="bi-exclamation-circle text-danger"></i>
             An error occurred while uploading the dataset. More details in the logs.
          </span>
    <span *ngIf="isUploaded()">
              <i aria-hidden="true" class="bi-check-circle text-success"></i>
            </span> {{filename}}
  </div>
</div>
